bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline


From: Eli Zaretskii
Subject: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline
Date: Wed, 04 May 2016 19:41:52 +0300

> From: Kaushal Modi <address@hidden>
> Date: Wed, 04 May 2016 16:20:25 +0000
> Cc: address@hidden, address@hidden
> 
> - NOT bind A/Q at all if the right dependencies are not found.

That's not possible.  To find the dependencies, we need a trigger,
which is the command itself.  So it must be bound.

> - Another alternative would be (if we want to keep A/Q bindings) that a 
> user-error or error be thrown if the
> correct external dependencies are not installed. The user should be let known 
> that they need to install the GNU
> find/grep executables for their platform in order to use those commands. In 
> the current implementation, the
> user will just assume that they searched something and nothing got returned.

Detecting the situation and signaling an error is probably a good
thing.  But I'm not sure it isn't too late for such changes, unless we
want to delay the release.

> - The requirement to have find/grep installed should also go to backward 
> incompatible changes section in
> NEWS.

As Dmitry points out, there is no such section.





reply via email to

[Prev in Thread] Current Thread [Next in Thread]